aboutsummaryrefslogtreecommitdiff
path: root/games/crossfire-server/scripts/pre-configure
diff options
context:
space:
mode:
Diffstat (limited to 'games/crossfire-server/scripts/pre-configure')
-rw-r--r--games/crossfire-server/scripts/pre-configure19
1 files changed, 19 insertions, 0 deletions
diff --git a/games/crossfire-server/scripts/pre-configure b/games/crossfire-server/scripts/pre-configure
new file mode 100644
index 000000000000..fb4f8d2399b9
--- /dev/null
+++ b/games/crossfire-server/scripts/pre-configure
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# $Id$
+
+#
+# patch hacks !!LOCALBASE!! and !!X11BASE!! hooks into the config file
+# here we resolve finally our - via /etc/make.conf - variable include
+# and destination directories
+# -andreas
+#
+
+echo "adjusting paths in ${WRKSRC}/config/crosssite.def"
+
+perl -pi -e "s=!!LOCALBASE!!=$LOCALBASE=" ${WRKSRC}/config/crosssite.def \
+ || exit 1
+perl -pi -e "s=!!X11BASE!!=$X11BASE=" ${WRKSRC}/config/crosssite.def \
+ || exit 1
+
+exit 0